const routes = [
  {
    path: "/",
    component: () => import("layouts/MainLayout.vue"),
    children: [
      {
        path: "",
        component: () => import("pages/IndexPage.vue"),
        meta: { title: " HiChina Travel Home" },
      },
    ],
  },
  {
    path: "/guideintro",
    component: () => import("layouts/MainLayout.vue"),
    children: [
      {
        path: "",
        component: () => import("pages/GuideIntroPage.vue"),
        meta: { title: " HiChina Travel Guidebooks" },
      },
    ],
  },
  {
    path: "/blog",
    component: () => import("layouts/MainLayout.vue"),
    children: [
      {
        path: "",
        component: () => import("pages/BlogPage.vue"),
        meta: { title: " HiChina Travel Blog" },
      },
    ],
  },
  {
    path: "/product",
    component: () => import("layouts/MainLayout.vue"),
    children: [
      {
        path: "",
        component: () => import("pages/TravelShopPage.vue"),
        meta: { title: " HiChina Travel Shop" },
      },
    ],
  },
  {
    path: "/destination",
    component: () => import("layouts/MainLayout.vue"),
    children: [
      {
        path: "",
        component: () => import("pages/DestinationPage.vue"),
        meta: { title: " HiChina Travel Destination" },
      },
    ],
  },
  {
    path: "/auth/login",
    component: () => import("layouts/MainLayout.vue"),
    children: [
      {
        path: "",
        component: () => import("pages/LoginPage.vue"),
        meta: { title: " HiChina Travel Login Page" },
      },
    ],
  },
  {
    path: "/auth/register",
    component: () => import("layouts/MainLayout.vue"),
    children: [
      {
        path: "",
        component: () => import("pages/RegisterPage.vue"),
        meta: { title: " HiChina Travel Register Page" },
      },
    ],
  },
  {
    path: "/product-detail/:skuGroupId",
    component: () => import("layouts/MainLayout.vue"),
    children: [
      {
        path: "",
        component: () => import("pages/ProductDetailPage.vue"),
        meta: { title: " HiChina Travel Product" },
      },
    ],
  },
  {
    path: "/destination-detail/:destinationId",
    component: () => import("layouts/MainLayout.vue"),
    children: [
      {
        path: "",
        component: () => import("pages/DestinationDetailPage.vue"),
        meta: { title: " HiChina Travel Destination" },
      },
    ],
  },
  {
    path: "/blog-detail/:blogId",
    component: () => import("layouts/MainLayout.vue"),
    children: [
      {
        path: "",
        component: () => import("pages/BlogDetailPage.vue"),
        meta: { title: " HiChina Travel Blog" },
      },
    ],
  },
  {
    path: "/contact",
    component: () => import("layouts/MainLayout.vue"),
    children: [
      {
        path: "",
        component: () => import("pages/ContactPage.vue"),
        meta: { title: " HiChina Travel Contact" },
      },
    ],
  },
  {
    path: "/my-blogs",
    component: () => import("layouts/MainLayout.vue"),
    children: [
      {
        path: "",
        component: () => import("pages/MyBlogsPage.vue"),
        meta: { title: " HiChina Travel My Blog" },
      },
    ],
  },
  {
    path: "/my-orders",
    component: () => import("layouts/MainLayout.vue"),
    children: [
      {
        path: "",
        component: () => import("pages/MyOrdersPage.vue"),
        meta: { title: " HiChina Travel My Order" },
      },
    ],
  },
  {
    path: "/user-info",
    component: () => import("layouts/MainLayout.vue"),
    children: [
      {
        path: "",
        component: () => import("pages/UserInfoPage.vue"),
        meta: { title: " HiChina Travel User" },
      },
    ],
  },
  {
    path: "/blog-create",
    component: () => import("layouts/MainLayout.vue"),
    children: [
      {
        path: "",
        component: () => import("pages/BlogCreatePage.vue"),
        meta: { title: " HiChina Travel Create Blog" },
      },
    ],
  },
  {
    path: "/blog-edit/:blogId",
    component: () => import("layouts/MainLayout.vue"),
    children: [
      {
        path: "",
        component: () => import("pages/BlogEditPage.vue"),
        meta: { title: " HiChina Travel Blog Editor" },
      },
    ],
  },
  {
    path: "/order-detail/:orderId",
    component: () => import("layouts/MainLayout.vue"),
    children: [
      {
        path: "",
        component: () => import("pages/OrderDetailPage.vue"),
        meta: { title: " HiChina Travel Order" },
      },
    ],
  },
  {
    path: "/book",
    component: () => import("layouts/MainLayout.vue"),
    children: [
      {
        path: "",
        component: () => import("pages/BookPage.vue"),
        meta: { title: " HiChina Travel Book" },
      },
    ],
  },
  {
    path: "/alipay",
    component: () => import("layouts/MainLayout.vue"),
    children: [
      {
        path: "",
        component: () => import("pages/AlipayPage.vue"),
        meta: { title: " HiChina Travel Payment" },
      },
    ],
  },
  {
    path: "/wechatpay",
    component: () => import("layouts/MainLayout.vue"),
    children: [
      {
        path: "",
        component: () => import("pages/WechatpayPage.vue"),
        meta: { title: " HiChina Travel Payment" },
      },
    ],
  },
  {
    path: "/privacy",
    component: () => import("layouts/MainLayout.vue"),
    children: [
      {
        path: "",
        component: () => import("pages/PrivacyPage.vue"),
        meta: { title: " HiChina Travel Privacy Policy" },
      },
    ],
  },
  {
    path: "/finishpay",
    component: () => import("layouts/MainLayout.vue"),
    children: [
      {
        path: "",
        component: () => import("pages/FinishpayPage.vue"),
        meta: { title: " HiChina Travel Payment" },
      },
    ],
  },
  {
    path: "/regvalidation/:regKey",
    component: () => import("layouts/MainLayout.vue"),
    children: [
      {
        path: "",
        component: () => import("pages/RegvalidationPage.vue"),
        meta: { title: " HiChina Travel " },
      },
    ],
  },
  {
    path: "/regsuccess",
    component: () => import("layouts/MainLayout.vue"),
    children: [
      {
        path: "",
        component: () => import("pages/RegSuccessPage.vue"),
        meta: { title: " HiChina Travel " },
      },
    ],
  },

  // Always leave this as last one,
  // but you can also remove it
  {
    path: "/:catchAll(.*)*",
    component: () => import("pages/ErrorNotFound.vue"),
  },
];

export default routes;
